VSTGUI: CFontChooserUIDefinition Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CFontChooserUIDefinition Struct Reference
New classes » Version 4.0

`#include <cfontchooser.h>`

## Public Member Functions
| CFontChooserUIDefinition (CFontRef font=kSystemFont, const CColor &fontColor=kWhiteCColor, const CColor &selectionColor=kBlueCColor, const CColor &rowlineColor=kGreyCColor, const CColor &rowBackColor=kTransparentCColor, const CColor &rowAlternateBackColor=kTransparentCColor, const CColor &previewTextColor=kBlackCColor, const CColor &previewBackgroundColor=kWhiteCColor, const CColor &scrollbarScrollerColor=kBlueCColor, const CColor &scrollbarFrameColor=kBlackCColor, const CColor &scrollbarBackgroundColor=kGreyCColor, int32_t rowHeight=-1, CCoord scrollbarWidth=16)

## Public Attributes
CFontRef | font
int32_t | rowHeight
CColor | fontColor
CColor | selectionColor
CColor | rowlineColor
CColor | rowBackColor
CColor | rowAlternateBackColor
CColor | previewTextColor
CColor | previewBackgroundColor
CColor | scrollbarScrollerColor
CColor | scrollbarFrameColor
CColor | scrollbarBackgroundColor
CCoord | scrollbarWidth

## Constructor & Destructor Documentation

## ◆ CFontChooserUIDefinition()

CFontChooserUIDefinition | ( | CFontRef | font = kSystemFont,
|  | const CColor & | fontColor = kWhiteCColor,
|  | const CColor & | selectionColor = kBlueCColor,
|  | const CColor & | rowlineColor = kGreyCColor,
|  | const CColor & | rowBackColor = kTransparentCColor,
|  | const CColor & | rowAlternateBackColor = kTransparentCColor,
|  | const CColor & | previewTextColor = kBlackCColor,
|  | const CColor & | previewBackgroundColor = kWhiteCColor,
|  | const CColor & | scrollbarScrollerColor = kBlueCColor,
|  | const CColor & | scrollbarFrameColor = kBlackCColor,
|  | const CColor & | scrollbarBackgroundColor = kGreyCColor,
|  | int32_t | rowHeight = -1,
|  | CCoord | scrollbarWidth = 16 )
| inline

## Member Data Documentation

## ◆ font

CFontRef font

## ◆ fontColor

CColor fontColor

## ◆ previewBackgroundColor

CColor previewBackgroundColor

## ◆ previewTextColor

CColor previewTextColor

## ◆ rowAlternateBackColor

CColor rowAlternateBackColor

## ◆ rowBackColor

CColor rowBackColor

## ◆ rowHeight

int32_t rowHeight

## ◆ rowlineColor

CColor rowlineColor

## ◆ scrollbarBackgroundColor

CColor scrollbarBackgroundColor

## ◆ scrollbarFrameColor

CColor scrollbarFrameColor

## ◆ scrollbarScrollerColor

CColor scrollbarScrollerColor

## ◆ scrollbarWidth

CCoord scrollbarWidth

## ◆ selectionColor

CColor selectionColor

The documentation for this struct was generated from the following file:

- cfontchooser.h